Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVProfessionalCodeType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVProfessionalCodeType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVProfessionalCodeType extends Object implements Serializable

Java class for ConsultChapterIVProfessionalCodeType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVProfessionalCodeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Qualification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             <element name="ProfessionalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="ProfessionalCV" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVProfessionalCodeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProfessionalCV()`
  Professional classification code within the medical sphere.
  `String`
  `getProfessionalName()`
  The prescription for certain medicines is limited to certain recognised medical profiles.
  `ConsultChapterIVTextType`
  `getQualification()`
  Name of the qualification associated with this Professional Code.
  `void`
  `setProfessionalCV(String value)`
  Sets the value of the professionalCV property.
  `void`
  `setProfessionalName(String value)`
  Sets the value of the professionalName property.
  `void`
  `setQualification(ConsultChapterIVTextType value)`
  Sets the value of the qualification property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVProfessionalCodeType

    public ConsultChapterIVProfessionalCodeType()

- ## Method Details

  - ### getQualification

    public ConsultChapterIVTextType getQualification()
    Name of the qualification associated with this Professional Code.
    Returns:
      possible object is `ConsultChapterIVTextType`

  - ### setQualification

    public void setQualification(ConsultChapterIVTextType value)
    Sets the value of the qualification property.
    Parameters:
      `value` - allowed object is `ConsultChapterIVTextType`
    See Also:
      - `getQualification()`

  - ### getProfessionalName

    public String getProfessionalName()
    The prescription for certain medicines is limited to certain recognised medical profiles. These restrictions are subject of a list linked to by the field PURCHASING_ADVISOR_QUAL_LIST.
    Returns:
      possible object is `String`

  - ### setProfessionalName

    public void setProfessionalName(String value)
    Sets the value of the professionalName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProfessionalName()`

  - ### getProfessionalCV

    public String getProfessionalCV()
    Professional classification code within the medical sphere.
    Returns:
      possible object is `String`

  - ### setProfessionalCV

    public void setProfessionalCV(String value)
    Sets the value of the professionalCV property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProfessionalCV()`